---
title: DisplayMediaStreamConstraints
slug: Web/API/DisplayMediaStreamConstraints
tags:
  - API
  - Audio
  - Capture
  - Constraints
  - Dictionary
  - DisplayMediaStreamConstraints
  - Media
  - Reference
  - Screen Capture
  - Screen Capture API
  - Video
  - display
  - getDisplayMedia
  - screen
---
<p>{{APIRef("Screen Capture API")}}</p>

<p><span class="seoSummary">The <code><strong>DisplayMediaStreamConstraints</strong></code> dictionary is used to specify whether or not to include video and/or audio tracks in the {{domxref("MediaStream")}} to be returned by {{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}}, as well as what type of processing must be applied to the tracks.</span> Processing information is specified using {{domxref("MediaTrackConstraints")}} objects providing options which are applied to the track after the media data is received but before it is made available on the {{domxref("MediaStream")}}.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DisplayMediaStreamConstraints.audio", "audio")}}</dt>
 <dd>A Boolean or {{domxref("MediaTrackConstraints")}} value; if a Boolean, this value indicates whether or not to include an audio track in the {{domxref("MediaStream")}} returned by {{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}}. If a <code>MediaTrackConstraints</code> object is provided here, an audio track is included in the stream, but the audio is processed to match the specified constraints after being retrieved from the hardware but before being added to the {{domxref("MediaStream")}}. The default value is <code>false</code>.</dd>
 <dt>{{domxref("DisplayMediaStreamConstraints.video", "video")}}</dt>
 <dd>If <code>true</code> (the default), the display contents are included in a {{domxref("MediaStreamTrack")}} within the stream provided by <code>getDisplayMedia()</code>. Optionally, a {{domxref("MediaTrackConstraints")}} object may be given, providing options specifying processing to be performed on the video data before adding it to the stream. A value of <code>false</code> is not permitted, and results in a <code>TypeError</code> being thrown.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Screen Capture', '#dom-displaymediastreamconstraints', 'DisplayMediaStreamConstraints')}}</td>
   <td>{{Spec2('Screen Capture')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DisplayMediaStreamConstraints")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API">Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API/Using_Screen_Capture">Using the Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API/Constraints">Capabilities, constraints, and settings</a></li>
</ul>
